/**
 * Author:  Thomas Goodwin
 * Company: Geon Technologies, LLC
 */
import { Renderer2, ElementRef } from '@angular/core';
import { IColorMap, ConstructorOptions, RasterPlot, RasterPlotData, Mc } from 'sigplot-ts';
import { BaseSigPlotComponent } from '../common/common.module';
/**
 * The RasterComponent implements the RasterPlot controller by extending
 * the BaseSigPlotComponent.  Additional interfaces are provided for controlling
 * the color map (cmap) and Y-Axis settings.
 */
export declare class RasterComponent extends BaseSigPlotComponent<RasterPlot> {
    /**
     * The color map (gradient, usually) to use for drawing the data.  This can
     * be the string name or number (via the Mc enumeration) of a pre-existing
     * color map, or your own using the IColorMap interface.
     */
    cmap: IColorMap | string | number | Mc;
    constructor(renderer: Renderer2, el: ElementRef, options: ConstructorOptions);
    handleData(pd: RasterPlotData): void;
}
